#
# spec file for package zypper-changelog-plugin
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zypper-changelog-plugin
Version:        0.6
Release:        1.1
Summary:        Changelog listing tool
License:        GPL-2.0-only
Group:          System/Packages
URL:            https://github.com/bzoltan1/zypper-changelog-plugin.git
Source:         zypper-changelog-plugin-0.6.tar.gz
Requires:       /usr/bin/python3
Requires:       python3-requests
Requires:       python3-rpm
Requires:       zstd
BuildArch:      noarch

%description
This tool is to show the changelog of packages in the repository

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}/
install -m 755 zypper-changelog %{buildroot}%{_bindir}/zypper-changelog
mkdir -p %{buildroot}/usr/lib/zypper/commands %{buildroot}/%{_mandir}/man8
install -m 644 zypper-changelog.8 %{buildroot}/%{_mandir}/man8/

%files
%license LICENSE
%doc README.md
%{_bindir}/zypper-changelog
%{_mandir}/man8/*

%changelog
* Fri Aug 30 2024 Zoltan Balogh <zbalogh@suse.com>
- Fixing bsc#1229242 - zypper-changelog-plugin lacks package names
* Tue Jun  4 2024 Zoltan Balogh <zbalogh@suse.com>
- Fixing bsc#1213929 - zypper-changelog-plugin lacks dependencies (No module named 'rpm')
* Fri May 24 2024 Zoltan Balogh <zbalogh@suse.com>
- Fixing bsc#1223985 - zypper-changelog-plugin exhausts all memory
- Fixing bsc#1217299 - zypp:plugins/zypper-changelog-plugin: Bug repodata is now using zstd compression
- Optimized memory usage, more error handling, better structure and
  improved comments
* Thu Dec  8 2022 Zoltan Balogh <zbalogh@suse.com>
- Fixing bsc#1206081 -  The zypper changelog plugin fails for packages not installed
* Wed Nov 16 2022 Zoltan Balogh <zbalogh@suse.com>
- Update with few fixes after testing on Leap and SLES
* Sun Jan 17 2021 Zoltan Balogh <zbalogh@suse.com>
- Change the default repository to oss instead of repo-oss
* Mon Jan  4 2021 Zoltan Balogh <zbalogh@suse.com>
- Added python3-requests to the dependencies
* Sun May 31 2020 Zoltan Balogh <zbalogh@suse.com>
- 0.1
- Initial commit with packaging improvements
